const cachePrefix = 'TABLE_COLS';

const getKey = (tableId) => {
    return `${cachePrefix}_${tableId}`;
};

export const saveCache = ({ tableId, data }) => {
    localStorage.setItem(getKey(tableId), JSON.stringify(data));
};

export const getCache = ({ tableId }) => {
    try {
        return JSON.parse(localStorage.getItem(getKey(tableId)));
    } catch (e) {
        console.warn('获取localStorage失败');
    }
};
